SDL::Rect - raw object for storing rectangular coordinates my $rect = SDL::Rect->new( -height => 4, -width => 40 ); $rect->x(12); # same as $rect->left(12) $rect->y(9); # same as $rect->top(9) "SDL::Rect::new" creates a SDL_Rect structure which is used for specifying regions of pixels for filling, blitting, and updating. These objects make it easy to cut and backfill. By default, x, y, height and width are all set to 0.

METHODS
The four fields of a rectangle can be set simply by passing a value to the applicable method. These are: x left sets and fetches the x (lefmost) position of the rectangle. y top sets and fetches the y (topmost) position. w width sets and fetches the width of the rectangle (in pixels). h height sets and fetches the height of the rectangle (in pixels). David J. Goehrig perl(1) SDL::Surface(3)